# -*- coding: utf-8 -*-
"""
Created on Sun May 10 09:57:18 2020

Download latest orbital elements from IRIDIUM and save files locally
This script should run at least once a day to get the latest orbital parameter

https://stackoverflow.com/questions/13332192/inherent-way-to-save-web-page-source
https://programminghistorian.org/en/lessons/working-with-web-pages
https://stackoverflow.com/questions/19602931/basic-http-file-downloading-and-saving-to-disk-in-python
@author: Monstein
"""
#-------------------------------------------------------------------------------------------   

import urllib.request 

#-------------------------------------------------------------------------------------------

try:

    myurl='https://www.celestrak.com/NORAD/elements/iridium.txt'
    filename = 'iridium.txt'
    urllib.request.urlretrieve(myurl, filename)
    
    myurl='https://www.celestrak.com/NORAD/elements/iridium-NEXT.txt'
    filename = 'iridium_NEXT.txt'
    urllib.request.urlretrieve(myurl, filename)
except:
    print ('Problem with NORAD orbital website, try again alter.')

#-------------------------------------------------------------------------------------------
